

#include <avr/io.h>
#include <stdlib.h>
#include "MyLcd20x4Bar.H"


using namespace avelino;
using namespace std;


void MyLcd20x4Bar::configurePorts() {
	DDRD |= 0x0F;
	DDRF |= 0x03;
}


void MyLcd20x4Bar::setNibble(uint8_t v) {
	PORTD = (PORTD & 0xF0) | v;
}


void MyLcd20x4Bar::setRS(bool v) {
	if (v)
		PORTF |= 0x01;
	else
		PORTF &= 0xFE;
}


void MyLcd20x4Bar::setE(bool v) {
	if (v)
		PORTF |= 0x02;
	else
		PORTF &= 0xFD;
}


